//Modified from Bomb Throw Ability - By Simon_T


addHook("ThinkFrame", do
	for player in players.iterate
		if player.mo and player.mo.skin == "tails" and gamemap == 70 //If you're tails and in the boss level
			if not player.exiting //If you're leaving a level, you won't need them, right?
				if not (P_PlayerInPain(player) or (player.playerstate == PST_DEAD)) //Hurt/dead foxes can't throw bombs
					if ((player.cmd.buttons & BT_SPIN) and not (player.weapondelay)) and (player.panim == PA_ABILITY) //If you press Toss Flag...
						S_StartSound(player.mo, sfx_s3k51) //...Play the bomb throwing sound...
						local bomb = P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + player.mo.height, MT_FBOMB) //...And spawn the bomb itself
						bomb.target = player.mo //The bomb can't hurt its user
						if (player.mo.momz > 0) //If you're jumping/springing/bouncing...
							bomb.momz = (player.mo.momz)+(3*FRACUNIT) //...The bomb gets some height boost
						else //But if you're falling...
							bomb.momz = 3*FRACUNIT //...The bomb just flies at this fixed height
						end
						P_InstaThrust(bomb, player.mo.angle, ((player.speed*3)+(10*FRACUNIT))) //The bomb describes an arc while flying, affected by your current speed
						if (player.powers[pw_super]) //If you're Super tails...
							player.weapondelay = TICRATE/2 //...You can throw bombs 3X faster
						else //But if that's not the case...
							player.weapondelay = TICRATE/2 //...You have to wait three seconds between bombs
						end
					end
				end
			end
		end
	end
end)