
-- various level exit stuff
-- defines victory sound


freeslot("MT_OBJECTYPE", "S_STATENAME", "SPR_SPRT", "SPR2_SPR2", "sfx_pwlan", "TOL_LEVELTYPE")
sfxinfo[sfx_pwlan] = {
        flags = SF_NOMULTIPLESOUND,
}

-- recolors target when player has enough rings

---- you need to create ringed intangible fofs tagged 2222 and 2223 in map
---- and make the fofs trigger anywhere in sector


------------ tag 2222 auto changes to red, tag 2223 is white


addHook("PlayerThink", do

 for player in players.iterate
    if player.rings >= tonumber(mapheaderinfo[gamemap].hoopneed)  
		for sector in sectors.iterate do
			if (sector.tag == 2222) then
				sector.ceilingpic = "~035"
			end
		end
	end
 end
end)


-- lets player trigger goal with enough hoops ie. rings
-- you need to add  lua.hoopneed in the in level header 


local function condExit(line, mo)

	for player in players.iterate
		if player.rings  >= tonumber(mapheaderinfo[gamemap].hoopneed) and ((player.panim == PA_RUN) or (player.panim == PA_WALK) or (player.panim == PA_ROLL) or (player.panim == PA_IDLE)) then
			G_SetCustomExitVars(default, 1)	
			G_ExitLevel()
		end
	end		
end

addHook("LinedefExecute", condExit, "CHGOAL")

-- triggers exit for levels with no red/white target
-- you need add     lua.notarget = true    if you don't have a target
-- applies to a sector over entire level, tagged 2221

local function notargExit(line, mo)
	for player in players.iterate
			if mapheaderinfo[gamemap].notarget == "true" and player.rings  >= tonumber(mapheaderinfo[gamemap].hoopneed)  then
				G_SetCustomExitVars(default, 1)	
				G_ExitLevel()
			end	
	
	end		
end

addHook("LinedefExecute", notargExit, "NTGOAL")



---- lets you restart the level and play cutscene
---- you need to tag a non-FOF sector 2224 and make floor trigger it
---- 2 skips the end level cutscene, very important

local function condBrief(line, mo)
	G_SetCustomExitVars(gamemap, 2)	
	G_ExitLevel()
	
end

addHook("LinedefExecute", condBrief, "CHBREF")


